kmem_cache_shrink
Prev | The Slab Cache | Next

## Name

kmem_cache_shrink — Shrink a cache.

## Synopsis

`int kmem_cache_shrink (` | struct kmem_cache * | cachep`)`;

## Arguments

`cachep`

  The cache to shrink.

## Description

Releases as many slabs as possible for a cache. To help debugging, a zero exit status indicates all slabs were released.

Prev | Up | Next
kmem_cache_create | Home | kmem_cache_destroy